//
// HelloWorldClient.java
//
// Ta klasa tworzy po stronie klienta konstruktor obiektów dla wybranej usługi,
// wywołuje zdalną procedurę,
// a następnie wyświetla odpowiedź.
//

public class HelloWorldClient {

  public static void main(String [] args) throws Exception {

    // Utwórz instancję wybranej usługi

    HelloWorldService service = new HelloWorldService();


    // Zastosuj metodę konstruktora w odniesieniu do usługi by otrzymać pniak portType.

    HelloWorldServicePortType port = service.getHelloWorldServicePort();
 
    // Dokonaj faktycznego wywołania.

    String response = port.getMessage();

    System.out.println(response);
  }
}
